Bug 17823 - XSLT: Add label for MARC 583 - Action note
Summary: XSLT: Add label for MARC 583 - Action note
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Karen
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 17938
  Show dependency treegraph
 
Reported: 2016-12-28 16:00 UTC by Katrin Fischer
Modified: 2017-02-22 23:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17823: Add label for MARC 583 - Action note (2.91 KB, patch)
2017-01-17 22:50 UTC, Karen
Details | Diff | Splinter Review
[SIGNED OFF] Bug 17823: Add label for MARC 583 - Action note (2.98 KB, patch)
2017-01-18 01:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17823: Add label for MARC 583 - Action note (3.02 KB, patch)
2017-01-19 12:08 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-12-28 16:00:09 UTC
The Action note has no label/description in the detail pages. 
It should have one :)
Comment 1 Karen 2017-01-17 22:50:01 UTC
Created attachment 59117 [details] [review]
Bug 17823:  Add label for MARC 583 - Action note

test plan
Edit a record
Edit field 583a to add an action note
Save the record and confirm that the note does not show up in staff
client or opac
Apply patch and refresh page
Action note should now show up in staff client and opac
Comment 2 Katrin Fischer 2017-01-18 01:59:13 UTC
Created attachment 59131 [details] [review]
[SIGNED OFF] Bug 17823: Add label for MARC 583 - Action note

test plan
Edit a record
Edit field 583a to add an action note
Save the record and confirm that the note does not show up in staff
client or opac
Apply patch and refresh page
Action note should now show up in staff client and opac

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2017-01-18 02:01:45 UTC
This is definitely a nice improvement :) 

There is one issue left - if 583 is repeated, the label will appear multiple times. I suggest dealing with this on a new bug report building on this one.
Comment 4 Kyle M Hall 2017-01-19 12:08:36 UTC
Created attachment 59236 [details] [review]
Bug 17823: Add label for MARC 583 - Action note

test plan
Edit a record
Edit field 583a to add an action note
Save the record and confirm that the note does not show up in staff
client or opac
Apply patch and refresh page
Action note should now show up in staff client and opac

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-01-19 12:09:11 UTC
Pushed to master for 17.05, thanks Karen!
Comment 6 Katrin Fischer 2017-01-22 18:41:15 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 7 Katrin Fischer 2017-01-22 18:41:48 UTC
Sorry, that was a wrong C&P. Correct one:
This patch has been pushed to 16.11.x and will be in 16.11.02.

:)
Comment 8 Katrin Fischer 2017-01-22 18:42:57 UTC
Ok, still not correct - this will be in 16.11.03 and not in 16.11.02 as it contains a new string to be translated. Sorry!
Comment 9 Katrin Fischer 2017-02-07 06:40:25 UTC
This patch has been pushed to 16.11.x and will be in 16.11.04.
Comment 10 Julian Maurice 2017-02-09 08:32:49 UTC
Pushed to 3.22.x for 3.22.17
Comment 11 Mason James 2017-02-22 23:00:04 UTC
Pushed to 16.05.x, for 16.05.10 release